The newly updated Jetbrains statically typed language for the JVM, Kotlin 1.1.2, now offers improved compilation and better integration with the company’s IntelliJ Idea IDE, as well as a slew of bug fixes and compatibility with version 2.4.0-alpha of the Android Gradle plugin.

Kotlin enables development of server-side applications, Android apps, or front-end code to run in a browser. Its conciseness reduces the need to write boilerplate code, the company says.

Kotlin 1.1.2 now requires Java Development Kit (JDK) 8. “Most other Java development tools such as Gradle and the Android toolchain also require JDK 8, so you almost certainly already have it installed,” said Dmitry Jemerov, a principal engineer at JetBrains.

To read this article in full or to leave a comment, please click here